$(document).ready(function () {

    var currDate = new Date();
    var currYear = currDate.getFullYear();
    var footerYearWrap = $('#footerYear');

    $(footerYearWrap).html(currYear);

    (function initStepbox() {

        var
            $stepBox = $(".stepbox"),
            $stepBoxStep = $stepBox.children(".step");

        $stepBoxStep.find(".next").click(function (e) {
            e.preventDefault();
            changeStep();
        });

        function changeStep() {
            var $currentStep = $stepBoxStep.filter('.current');
            $currentStep.removeClass('current');
            $currentStep.next().addClass('current');
            if ($currentStep.next().is('.step-loader')) {
                setTimeout(function () {
                    changeStep();
                }, 750)
            }

			
			
			

            $('.progress .bar').animate({
                width: '+=30%'
            });
        }

        function prevStep() {
            var $currentStep = $stepBoxStep.filter('.current');
            $currentStep.removeClass('current');
            $currentStep.prev().addClass('current');
            $('.progress .bar').animate({
                width: '-=40%'
            });
        }

        $('.btn-back').on('click', function () {
            prevStep();
        });

    })();

});

// testemonials
const reviewWrap = document.getElementById("reviewWrap");
const leftArrow = document.getElementById("leftArrow");
const rightArrow = document.getElementById("rightArrow");
const imgDiv = document.getElementById("imgDiv");
const personName = document.getElementById("personName");
//const profession = document.getElementById("profession");
const description = document.getElementById("description");

let people = [
	{
		photo:
			'url("https://cdn.pixabay.com/photo/2018/03/06/22/57/portrait-3204843_960_720.jpg")',
		name: "Susan Smith",
		profession: "WEB DEVELOPER",
		description: "Saved big on auto insurance with great coverage, perfect for budget-minded drivers like me. Highly recommend for savings without sacrificing quality."
	},

	{
		photo:
			"url('https://cdn.pixabay.com/photo/2019/02/11/20/20/woman-3990680_960_720.jpg')",
		name: "Anna Grey",
		profession: "UFC FIGHTER",
		description: "Absolutely thrilled with the savings and excellent coverage I received from this auto insurance service. Perfect for anyone looking to save money without compromising on quality protection."

    },

	{
		photo:
			"url('https://cdn.pixabay.com/photo/2016/11/21/12/42/beard-1845166_960_720.jpg')",
		name: "Branson Cook",
		profession: "ACTOR",
		description: "Applying for auto insurance was a breeze - so simple and straightforward. User-friendly application process made getting full coverage a stress-free experience."
	},

	
];

imgDiv.style.backgroundImage = people[0].photo;
personName.innerText = people[0].name;
//profession.innerText = people[0].profession;
description.innerText = people[0].description;
let currentPerson = 0;

//Select the side where you want to slide
function slide(whichSide, personNumber) {
	let reviewWrapWidth = reviewWrap.offsetWidth + "px";
	let descriptionHeight = description.offsetHeight + "px";
	//(+ or -)
	let side1symbol = whichSide === "left" ? "" : "-";
	let side2symbol = whichSide === "left" ? "-" : "";

	let tl = gsap.timeline();
	tl.to(reviewWrap, {
		duration: 0.4,
		opacity: 0,
		translateX: `${side1symbol + reviewWrapWidth}`
	});

	tl.to(reviewWrap, {
		duration: 0,
		translateX: `${side2symbol + reviewWrapWidth}`
	});

	setTimeout(() => {
		imgDiv.style.backgroundImage = people[personNumber].photo;
	}, 400);
	setTimeout(() => {
		description.style.height = descriptionHeight;
	}, 400);
	setTimeout(() => {
		personName.innerText = people[personNumber].name;
	}, 400);
	//setTimeout(() => {
	//	profession.innerText = people[personNumber].profession;
//	}, 400);
	setTimeout(() => {
		description.innerText = people[personNumber].description;
	}, 400);

	tl.to(reviewWrap, {
		duration: 0.4,
		opacity: 1,
		translateX: 0
	});	
}

function setNextCardLeft() {
	if (currentPerson === 2) {
		currentPerson = 0;
		slide("left", currentPerson);
	} else {
		currentPerson++;
	}
	slide("left", currentPerson);
}

function setNextCardRight() {
	if (currentPerson === 0) {
		currentPerson = 2;
		slide("right", currentPerson);
	} else {
		currentPerson--;
	}

	slide("right", currentPerson);
}

leftArrow.addEventListener("click", setNextCardLeft);
rightArrow.addEventListener("click", setNextCardRight);

window.addEventListener("resize", () => {
	description.style.height = "100%";
});